Subject: bug#76629: NS click events don't select right window

From: Ship Mints <[email-masked]>
Date: Mon, 3 Mar 2025 13:40:25 -0500

I can't reproduce the behavior, so it's hard for me to say.

On Mon, Mar 3, 2025 at 1:35 PM Stefan Kangas <[email-masked]> wrote:

> Mattias Engdegård <[email-masked]> writes:
>
> > This change appeared on master in 3545988740.
> >
> > Is there really a consensus for this? Click-through does not appear how
> (MacOS) applications work in general. While it seems useful for switching
> between unobscured Emacs windows, it's a bit surprising when clicking on a
> partially obscured Emacs in order to raise and activate it.
> >
> > Is there a way to make the behaviour more conditional in this respect?
> Or, at least, configurable.
>
> IIUC, this is how Emacs used to behave on macOS, so I originally treated
> this as just a bug fix.
>
> That said, I have no objection to making it optional, of course.
>
> I also don't have an opinion on what should be the default because:
> - the historical behavior of Emacs, and similarity to other platforms,
>   seem to speak in favor of having this on by default
> - being consistent with macOS seems to speak in favor of having it off
>
> Please let your voices be heard, if you have a reasoned opinion here.
>
> Daniel, could you perhaps look into adding a defcustom for this?
>
>
>
>